"""
Remove duplicate facts

Revision ID: 815bdea28cfb
Revises: fdf3875930d9
Create Date: 2018-11-27 13:53:56.524046

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '815bdea28cfb'
down_revision = 'fdf3875930d9'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
CREATE TEMP TABLE outdated_fact_ids AS
    SELECT f.id
    FROM
      provenance p
      JOIN fact f ON f.id = p.fact_id
      JOIN activity a ON text(a.id) = p.meta->>'diva_id'
    WHERE
      f.schema = 'grozper:activity' AND
      a.created < '10-3-2018';

DELETE FROM provenance WHERE fact_id IN (SELECT id FROM outdated_fact_ids);
DELETE FROM fact WHERE id IN (SELECT id FROM outdated_fact_ids);

DROP TABLE outdated_fact_ids;
""")

    op.execute("""
CREATE TEMP TABLE outdated_fact_ids AS
    SELECT f.id
    FROM
      provenance p
      JOIN fact f ON f.id = p.fact_id
      JOIN track a ON text(a.id) = p.meta->>'diva_id'
    WHERE
      f.schema = 'grozper:track' AND
      a.created < '10-3-2018';

DELETE FROM provenance WHERE fact_id IN (SELECT id FROM outdated_fact_ids);
DELETE FROM fact WHERE id IN (SELECT id FROM outdated_fact_ids);

DROP TABLE outdated_fact_ids;
""")

    op.execute("""
CREATE TEMP TABLE outdated_fact_ids AS
    SELECT f.id
    FROM
      provenance p
      JOIN fact f ON f.id = p.fact_id
      JOIN detection a ON text(a.id) = p.meta->>'diva_id'
    WHERE
      f.schema = 'grozper:track_detection' AND
      a.created < '10-3-2018';

DELETE FROM provenance WHERE fact_id IN (SELECT id FROM outdated_fact_ids);
DELETE FROM fact WHERE id IN (SELECT id FROM outdated_fact_ids);

DROP TABLE outdated_fact_ids;
""")


def downgrade():
    pass
