import Vue from 'vue';
import Router from 'vue-router';
import VideosView from '@/components/VideosView';
import VideoView from '@/components/VideoView';
import TasksView from '@/components/TasksView';
import TaskView from '@/components/TaskView';
import RefinerAnswerView from '@/components/RefinerAnswerView';

Vue.use(Router);

export default new Router({
  routes: [{
    path: '/',
    redirect: '/videos',
  }, {
    path: '/videos',
    name: 'Videos',
    component: VideosView,
  }, {
    path: '/videos/:video_id',
    name: 'Video',
    component: VideoView,
    props: true,
  }, {
    path: '/tasks',
    name: 'Tasks',
    component: TasksView,
  }, {
    path: '/tasks/:task_id',
    name: 'Task',
    component: TaskView,
  }, {
    path: '/refiner/answer/:assignment_id',
    name: 'Refiner',
    component: RefinerAnswerView,
  }],
});
